Package org.eclipse.emf.compare.ide.ui.internal.logical.view

## Interface ILogicalModelViewHandler

All Known Implementing Classes:
  `AbstractLogicalModelViewHandler`, `EMFCompareEditorLMVHandler`, `EMFReflectiveEditorLMVHandler`, `ExplorersViewSelectionLMVHandler`

    public interface ILogicalModelViewHandler

Handle, for the Logical Model View, the editors activations and the selections of items.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canHandle​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` This will be called to determine whether the given editor or the given selection must be listened by the logical model view.
`Collection<org.eclipse.core.resources.IFile>` `getFiles​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Retrieve the files associated with the given selection.
`Collection<SynchronizationModel>` `getSynchronizationModels​(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection, org.eclipse.core.runtime.IProgressMonitor monitor)` Get the logical models associated with the given editor or selection.

### Method Detail

#### canHandle

    boolean canHandle​(org.eclipse.ui.IWorkbenchPart part,
                      org.eclipse.jface.viewers.ISelection selection)

This will be called to determine whether the given editor or the given selection must be listened by the logical model view.

Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection` to test.
Returns:
  true if the editor or the selection must be listened, false otherwise.

#### getFiles

    Collection<org.eclipse.core.resources.IFile> getFiles​(org.eclipse.ui.IWorkbenchPart part,
                                                          org.eclipse.jface.viewers.ISelection selection)

Retrieve the files associated with the given selection.

Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection`.
Returns:
  the files associated with the given editor or the given selection.

#### getSynchronizationModels

    Collection<SynchronizationModel> getSynchronizationModels​(org.eclipse.ui.IWorkbenchPart part,
                                                              org.eclipse.jface.viewers.ISelection selection,
                                                              org.eclipse.core.runtime.IProgressMonitor monitor)

Get the logical models associated with the given editor or selection.

Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection`.
  `monitor` - to monitor the process.
Returns:
  the logical models associated with the given editor or selection.